2006-05-22 03:53:12  Rev 523    tamra

	* plugins:
	  プラグインを消去。

2006-05-22 03:49:49  Rev 522    tamra

	* plugins/asciiinput.h plugins/skkdicconversion.cpp 
	  plugins/wordsprediction.cpp data/Makefile.am plugins/wnnplugin.cpp 
	  plugins/wnnprediction.cpp plugins/wordsdic.h po/ja.po 
	  plugins/nicolainput.cpp plugins/cannaconversion.cpp 
	  plugins/anthyconversion.cpp plugins/kanainput.cpp plugins/romkan.h 
	  plugins/primeprediction.h data/like-msime.rkt plugins/anthyplugin.
	  cpp data/azik.rkt plugins/anthyprediction.cpp po/POTFILES.in 
	  plugins/asciiinput.cpp plugins/asciiplugin.h plugins/skkdic.h 
	  plugins/wnnconversion.h plugins/wordsdic.cpp 
	  plugins/simpleprediction.h plugins/honoka_plugin_def.h 
	  data/kigou-def.rkt data/honoka-def.rkt plugins/skkdicconversion.h 
	  plugins/wordsprediction.h plugins/wnnplugin.h plugins/romkan.cpp 
	  plugins/Makefile.am plugins/wnnprediction.h plugins/nicolainput.h 
	  plugins/cannaconversion.h plugins/wnnproto.h m4/Makefile po/honoka.
	  pot plugins/primeprediction.cpp plugins/anthyconversion.h 
	  plugins/kanainput.h m4/Makefile.in configure.ac 
	  plugins/anthyplugin.h plugins/asciiplugin.cpp Makefile.am 
	  plugins/skkdic.cpp plugins/wnnconversion.cpp 
	  plugins/anthyprediction.h plugins/simpleprediction.cpp 
	  plugins/compose.h:
	  プラグインを消去。

2006-05-20 04:14:32  Rev 519    tamra

	* configure.ac m4/Makefile:
	  バージョンを0.9.0にしておく。

2006-05-17 23:50:53  Rev 517    tamra

	* plugins/primeprediction.cpp:
	  primeの動作をチェックするコード追加。いまいち？。

2006-05-16 22:21:28  Rev 516    tamra

	* src/honoka_imengine_setup.cpp:
	  設定名にスラッシュ入れ忘れorz。

2006-05-13 06:32:27  Rev 514    tamra

	* configure.ac README.jp m4/Makefile:
	  0.8.3。

2006-05-13 05:56:42  Rev 513    tamra

	* po/honoka.pot src/honoka_imengine_setup.cpp po/ja.po ChangeLog:
	  文字種変換キー設定。

2006-05-11 04:33:15  Rev 512    tamra

	* libhonoka/honokatimer.cpp:
	  タイマスレッドのイベントが混ざらない工夫。

2006-05-11 03:43:05  Rev 511    tamra

	* src/honoka_imengine.cpp libhonoka/preeditor.cpp 
	  libhonoka/honokapluginbase.h plugins/nicolainput.cpp 
	  libhonoka/preeditor.h plugins/romkan.cpp plugins/asciiinput.cpp 
	  plugins/kanainput.cpp:
	  スルーするキーを追加してまとめる。

2006-05-11 03:19:34  Rev 510    tamra

	* libhonoka/preeditor.cpp:
	  半角が全角になってしまった部分を修正。

2006-05-11 03:14:15  Rev 509    tamra

	* plugins/skkdicconversion.cpp plugins/honoka_plugin_def.h 
	  libhonoka/preeditor.cpp plugins/wnnprediction.cpp ChangeLog 
	  plugins/nicolainput.cpp plugins/cannaconversion.cpp 
	  libhonoka/preeditor.h plugins/romkan.cpp plugins/anthyconversion.
	  cpp plugins/kanainput.cpp plugins/wnnproto.h 
	  plugins/primeprediction.cpp src/honoka_imengine.cpp configure.ac 
	  src/multiconvertor.cpp README.jp libhonoka/honokatimer.cpp 
	  src/honoka_imengine.h libhonoka/convertor.cpp plugins/asciiinput.
	  cpp plugins/skkdic.cpp plugins/wnnconversion.cpp plugins/compose.h 
	  plugins/simpleprediction.cpp:
	  ファイルをeucJPからutf8に。

2006-05-09 00:17:25  Rev 508    tamra

	* plugins/asciiinput.cpp:
	  英数字入力でReturn/Tab等を自動確定に指定した場合に正しく動作するよう修正。

2006-05-09 00:16:43  Rev 507    tamra

	* src/honoka_imengine.cpp:
	  KeyEventHookがfalse時にcommitString指定の場合のみ以下をバイパスしコミットする特殊動作。

2006-05-08 23:51:06  Rev 506    tamra

	* libhonoka/preeditor.cpp plugins/nicolainput.cpp 
	  libhonoka/preeditor.h plugins/asciiinput.cpp plugins/kanainput.cpp:
	  改行/タブ等を適切に処理するかたちに。

2006-05-08 05:22:51  Rev 505    tamra

	* plugins/romkan.cpp:
	  ローマ字入力での特殊文字処理追加。

2006-05-08 01:13:55  Rev 504    tamra

	* src/honoka_imengine.cpp libhonoka/preeditor.cpp 
	  plugins/nicolainput.cpp plugins/romkan.cpp plugins/asciiinput.cpp 
	  plugins/kanainput.cpp:
	  表示可能キー判定をget_ascii_codeからget_unicode_codeに変更、やったぜ！。

2006-05-08 00:30:43  Rev 503    tamra

	* m4/Makefile.in src/honoka_imengine.cpp plugins/nicolainput.cpp 
	  plugins/romkan.cpp plugins/asciiinput.cpp plugins/kanainput.cpp 
	  m4/Makefile:
	  Mode_switchとISO_Next_Groupを喰う。

2006-05-06 09:51:39  Rev 502    tamra

	* honoka.pc.in:
	  honoka.pcのディレクトリ指定修正。

2006-05-04 05:37:18  Rev 501    tamra

	* plugins/asciiplugin.cpp:
	  英数字プラグイン設定を小さく。

2006-05-04 00:32:45  Rev 500    tamra

	* configure.ac:
	  AC_SUBST(LIBTOOL_EXPORT_OPTIONS)を追加。

2006-04-27 06:57:28  Rev 499    tamra

	* po/ja.po:
	  メッセージ修正。

2006-04-27 06:23:00  Rev 498    tamra

	* po/honoka.pot po/ja.po:
	  メッセージ更新。

2006-04-27 06:17:00  Rev 497    tamra

	* plugins/asciiplugin.h plugins/asciiinput.h plugins/asciiplugin.cpp 
	  plugins/Makefile.am plugins/asciiinput.cpp plugins/compose.h:
	  Compose処理実装。

2006-04-23 01:14:47  Rev 496    tamra

	* libhonoka/preeditor.cpp libhonoka/preeditor.h:
	  isprint置き換え関数を用意だけしてみる。

2006-04-01 02:40:12  Rev 494    tamra

	* src/honoka_imengine.cpp:
	  文字種変換キー変換時にも動作するように。(#1)

2006-03-31 08:22:33  Rev 493    tamra

	* src/honoka_imengine.cpp src/honoka_imengine.h src/honoka_def.h:
	  文字種トグルキー実装、PreEdit部分のみ。(#1)

2006-03-07 22:49:53  Rev 488    tamra

	* plugins/wnnproto.h:
	  wnn6sdkにもdic_save_allはある。

2006-03-07 22:32:38  Rev 487    tamra

	* plugins/wnnconversion.cpp plugins/wnnproto.h:
	  jl_dic_save_allの引数ミス修正orz。

2006-03-07 01:09:18  Rev 486    tamra

	* plugins/wnnconversion.cpp plugins/wnnproto.h:
	  Wnnプラグインのデストラクタに接続断と辞書セーブを追加。

2006-02-19 05:15:50  Rev 477    tamra

	* README.jp ChangeLog:
	  0.8.2。

2006-02-14 07:05:03  Rev 476    tamra

	* po/honoka.pot src/honoka_imengine.cpp po/ja.po 
	  libhonoka/honokatimer.cpp libhonoka/honokatimer.h:
	  タイマまわり調整及びイベントが上書きされるバグ修正。

2006-02-13 06:06:19  Rev 475    tamra

	* src/honoka_imengine.cpp m4/Makefile:
	  PreEditorスタックにためるのは補正後。

2006-02-13 05:33:43  Rev 474    tamra

	* configure.ac:
	  バージョンを0.8.2にしておく。

2006-02-13 02:26:32  Rev 473    tamra

	* libhonoka/honokapluginbase.cpp libhonoka/honokapluginbase.h:
	  プラグイン向けタイマイベント全消しメソッド追加。

2006-02-11 03:43:45  Rev 472    tamra

	* libhonoka/honokapluginbase.h:
	  プラグインバージョンを更新。

2006-02-11 03:43:04  Rev 471    tamra

	* libhonoka/honokapluginbase.cpp src/honoka_imengine.cpp 
	  libhonoka/honokapluginbase.h:
	  プラグインがタイマを利用できるよう修正。

2006-02-11 03:41:58  Rev 470    tamra

	* plugins/asciiinput.cpp:
	  ちょい修正。

2006-02-11 03:41:42  Rev 469    tamra

	* plugins/asciiinput.h plugins/asciiinput.cpp:
	  ちょい修正。

2006-02-08 23:18:53  Rev 468    tamra

	* libhonoka/Makefile.am libhonoka/honokastatus.h src/honoka_imengine.
	  h libhonoka/honokastatus.cpp:
	  内部情報をプラグイン等が参照できるしくみ導入。

2006-02-08 22:40:48  Rev 467    tamra

	* plugins/wordsdic.cpp plugins/wordsprediction.cpp plugins/wordsdic.h:
	  英単語予測格納をvectorからsetへ。

2006-02-04 23:20:07  Rev 466    tamra

	* plugins/primeprediction.cpp:
	  primeprediction.cppへのsignal.hインクルード追加(yaemonさんありがとう)。

2006-02-04 06:21:16  Rev 465    tamra

	* po/honoka.pot plugins/wordsprediction.cpp po/ja.po:
	  英単語予測結果が0の時も現在の単語を候補に。

2006-02-04 06:17:31  Rev 464    tamra

	* plugins/wordsprediction.cpp:
	  英単語予測の文字区切りからハイフンを除外。

2006-02-04 06:09:01  Rev 463    tamra

	* plugins/asciiplugin.h po/honoka.pot plugins/wordsprediction.cpp 
	  po/ja.po plugins/wordsprediction.h plugins/asciiplugin.cpp:
	  英単語予測の結果数による表示の抑制を導入。

2006-02-03 16:17:28  Rev 461    tamra

	* plugins/asciiplugin.h po/honoka.pot plugins/wordsprediction.cpp 
	  po/ja.po plugins/wordsprediction.h plugins/asciiplugin.cpp:
	  英単語予測の単語末尾スペース追加を選択可能に。

2006-01-29 00:43:08  Rev 458    tamra

	* configure.ac README.jp ChangeLog m4/Makefile:
	  0.8.1。

2006-01-26 06:22:42  Rev 454    tamra

	* plugins/romkan.h po/honoka.pot po/ja.po plugins/romkan.cpp:
	  ローマ字入力切り替え時の自動英字かな変換機能実装。

2006-01-25 06:41:27  Rev 453    tamra

	* po/honoka.pot po/ja.po:
	  メッセージ更新。

2006-01-25 06:35:49  Rev 452    tamra

	* plugins/asciiplugin.h plugins/asciiinput.h plugins/asciiplugin.cpp 
	  plugins/asciiinput.cpp:
	  英数字入力で自動コミットを可能に。

2006-01-25 06:35:20  Rev 451    tamra

	* src/honoka_imengine.cpp:
	  PreEditorが文字列をコミットするのを許す。

2006-01-25 06:35:03  Rev 450    tamra

	* libhonoka/preeditor.cpp libhonoka/preeditor.h:
	  PreEditorの文字列コミット処理。

2006-01-25 04:03:28  Rev 449    tamra

	* plugins/wordsprediction.cpp libhonoka/predictor.cpp 
	  src/honoka_imengine.cpp libhonoka/honokapluginbase.h 
	  plugins/wordsprediction.h libhonoka/predictor.h:
	  予測候補位置の変更可能に。

2006-01-24 14:32:31  Rev 448    tamra

	* plugins/asciiplugin.h po/honoka.pot plugins/asciiinput.h po/ja.po 
	  plugins/asciiplugin.cpp plugins/asciiinput.cpp:
	  英数字入力での優先度を下げるキー指定追加。

2006-01-24 01:00:44  Rev 447    tamra

	* data/kigou-def.rkt data/honoka-def.rkt:
	  ローマ字かなテーブルの数字の欠落を補完。

2006-01-21 06:29:02  Rev 446    tamra

	* plugins/wordsprediction.cpp:
	  英単語予測の単語末尾にスペースを追加。

2006-01-21 06:25:47  Rev 445    tamra

	* po/honoka.pot src/honoka_imengine.cpp src/honoka_imengine_setup.
	  cpp po/ja.po src/honoka_imengine.h src/honoka_def.h:
	  予測直接選択の実装。

2006-01-19 07:53:52  Rev 444    tamra

	* src/honoka_imengine.cpp:
	  プロパティにすきまを追加。

2006-01-19 06:37:04  Rev 443    tamra

	* plugins/romkan.h plugins/romkan.cpp:
	  Romkanプラグインに英字->かな変換機能を追加。

2006-01-19 05:50:16  Rev 442    tamra

	* po/honoka.pot src/honoka_imengine_setup.cpp po/ja.po:
	  リアルタイム予測設定を設定画面に追加。

2006-01-18 04:31:43  Rev 441    tamra

	* src/honoka_imengine.cpp:
	  予測候補一覧でのPageUP/PageDownキーで落ちるバグ修正。

2006-01-17 06:01:17  Rev 440    tamra

	* plugins/wordsdic.cpp:
	  英単語予測において大文字/小文字情報が一致するものから候補を並べる。

2006-01-14 02:22:23  Rev 437    tamra

	* src/honoka_imengine.cpp README.jp ChangeLog:
	  2005->2006とか、その他細かい修正とか。0.8.0。

2006-01-13 15:50:41  Rev 435    tamra

	* plugins/wordsprediction.cpp:
	  英単語予測対象に数字も追加。

2006-01-13 11:45:37  Rev 434    tamra

	* po/honoka.pot src/honoka_imengine.cpp src/honoka_imengine_setup.
	  cpp po/ja.po src/honoka_imengine.h src/honoka_def.h:
	  前回設定の復元機能を実装。

2006-01-12 04:04:25  Rev 433    tamra

	* plugins/wordsprediction.cpp:
	  WordsPredictionのアルファベット判別処理をまともに。

2006-01-12 03:50:56  Rev 432    tamra

	* plugins/primeprediction.cpp plugins/primeprediction.h:
	  primeプロセスを確実に殺したい。

2006-01-12 03:35:33  Rev 431    tamra

	* src/honoka_imengine.cpp:
	  必殺技インスタンスをdeleteする。

2006-01-12 03:25:39  Rev 430    tamra

	* src/honoka_imengine.cpp:
	  Predictor切り替え時にpreeditキャッシュをクリア。

2006-01-11 22:10:07  Rev 429    tamra

	* honoka.pc.in:
	  add忘れorz。

2006-01-11 00:55:24  Rev 428    tamra

	* plugins/asciiplugin.h po/honoka.pot plugins/asciiinput.h 
	  plugins/wordsdic.cpp plugins/wordsprediction.cpp plugins/wordsdic.
	  h po/ja.po plugins/wordsprediction.h po/POTFILES.in 
	  plugins/asciiplugin.cpp plugins/Makefile.am plugins/asciiinput.cpp:
	  英数字プラグイン及び英単語予測を追加、実験的。

2006-01-11 00:05:26  Rev 427    tamra

	* src/honoka_imengine.cpp:
	  Prediction選択時にPreEditキャッシュをクリア。

2006-01-10 15:27:24  Rev 426    tamra

	* po/honoka.pot src/honoka_imengine_setup.cpp po/ja.po 
	  src/honoka_def.h:
	  予測検索遅延の設定及びデフォルト値の変更。

2006-01-10 08:00:25  Rev 425    tamra

	* po/honoka.pot po/ja.po plugins/nicolainput.cpp plugins/nicolainput.
	  h:
	  親指シフトテーブルを変更可能に。暫定的。

2006-01-10 07:31:14  Rev 424    tamra

	* src/honoka_imengine.cpp:
	  壊れた候補一覧が表示されっぱなしになるバグを修正。

2006-01-07 06:01:31  Rev 423    tamra

	* src/honoka_imengine.cpp src/honoka_imengine.h:
	  過剰な予測検索を抑制。

2006-01-07 05:09:30  Rev 422    tamra

	* plugins/nicolainput.cpp:
	  親指シフトプラグインの未定義キー動作の調整。

2006-01-06 18:28:23  Rev 421    tamra

	* po/honoka.pot po/ja.po plugins/nicolainput.cpp plugins/nicolainput.
	  h:
	  親指シフトの同時押し判定時間を指定可能に。

2006-01-06 18:24:56  Rev 420    tamra

	* src/honokasetupgtk.cpp:
	  Intのlowerとupperが逆だったのを修正。

2006-01-06 17:10:13  Rev 418    tamra

	* src/honoka_imengine.cpp:
	  PreEditor切り替えキーの処理をもう少しおおざっぱに。

2006-01-06 17:04:08  Rev 417    tamra

	* src/honoka_imengine.cpp:
	  PreEditor切り替えキーの処理をおおざっぱに。

2006-01-06 16:43:52  Rev 416    tamra

	* src/honokasetupgtk.cpp libhonoka/Makefile.am plugins/wnnconversion.
	  h plugins/skkdicconversion.cpp plugins/simpleprediction.h 
	  plugins/honoka_plugin_def.h src/honoka_imengine_setup.cpp 
	  libhonoka/honokapluginbase.h plugins/skkdicconversion.h 
	  plugins/nicolainput.cpp plugins/cannaconversion.cpp 
	  plugins/wnnplugin.h plugins/romkan.cpp plugins/nicolainput.h 
	  plugins/kanainput.cpp plugins/cannaconversion.h m4/Makefile 
	  plugins/romkan.h plugins/primeprediction.cpp plugins/kanainput.h 
	  m4/Makefile.in plugins/primeprediction.h plugins/anthyplugin.h 
	  plugins/wnnconversion.cpp src/honoka_def.h 
	  plugins/simpleprediction.cpp:
	  プラグイン設定定義を各プラグインのヘッダに大移動。

2006-01-06 16:06:33  Rev 415    tamra

	* plugins/skkdicconversion.cpp:
	  SKKDicでアノテーション存在時に候補が崩れるバグを修正。

2006-01-06 16:04:20  Rev 414    tamra

	* plugins/skkdic.cpp:
	  SKKDicのキャッシュをとりあえず無効に。

2006-01-05 08:00:06  Rev 413    tamra

	* plugins/skkdic.cpp:
	  SKKDicの高速化修正。

2006-01-04 07:54:22  Rev 412    tamra

	* plugins/skkdic.cpp:
	  SKKDicプラグインのokuri設定。

2006-01-04 07:20:09  Rev 411    tamra

	* plugins/skkdic.h plugins/skkdic.cpp:
	  SKKDicの高速化、mmap使用。

2006-01-04 07:19:29  Rev 410    tamra

	* src/honoka_imengine.cpp:
	  closedirの追加。

2006-01-03 18:34:27  Rev 409    tamra

	* src/honoka_imengine.cpp:
	  連文節変換のエラーチェック修正。

2006-01-03 10:00:26  Rev 408    tamra

	* src/honoka_imengine.cpp:
	  Anthyプラグインを文節単位エンジン切り替えから除外。

2006-01-03 10:00:20  Rev 407    tamra

	* plugins/anthyconversion.cpp:
	  Anthyプラグインを文節単位エンジン切り替えから除外。

2006-01-03 09:43:56  Rev 406    tamra

	* plugins/anthyconversion.h plugins/anthyconversion.cpp:
	  Anthyプラグインを必殺技から完全に除外。

2005-12-31 02:00:01  Rev 405    tamra

	* src/multiconvertor.cpp:
	  必殺技の読みはカレントの変換エンジンの結果から得る方式に。

2005-12-31 01:59:23  Rev 404    tamra

	* plugins/anthyconversion.cpp:
	  Anthyプラグインの読みはNTH_UNCONVERTED_CANDIDATEで得ることに。

2005-12-30 17:21:11  Rev 403    tamra

	* plugins/anthyconversion.cpp:
	  Anthyプラグイン読み導き出し微調整。

2005-12-29 03:52:25  Rev 402    tamra

	* plugins/anthyconversion.cpp:
	  Anthyプラグインの文節切り直し不都合を修正したつもり。

2005-12-28 04:37:55  Rev 401    tamra

	* libhonoka/honokatimer.cpp:
	  タイマのオーバフロウ処理。

2005-12-27 16:36:13  Rev 400    tamra

	* src/honoka_imengine.cpp src/honoka_imengine.h src/honoka_def.h:
	  ふりがな付きコミット機能追加、実験的。

2005-12-20 22:43:38  Rev 399    tamra

	* libhonoka/honokatimer.cpp plugins/nicolainput.cpp 
	  plugins/nicolainput.h:
	  Nicolaプラグインのシフト遅延タイマー。

2005-12-17 03:25:34  Rev 397    tamra

	* configure.ac Makefile.am:
	  pkg-config定義。

2005-12-16 16:55:30  Rev 396    tamra

	* po/honoka.pot plugins/primeprediction.cpp plugins/skkdicconversion.
	  cpp src/honoka_imengine_setup.cpp plugins/wnnplugin.cpp 
	  plugins/anthyplugin.cpp po/ja.po plugins/nicolainput.cpp 
	  plugins/cannaconversion.cpp plugins/romkan.cpp plugins/kanainput.
	  cpp plugins/simpleprediction.cpp:
	  ショートカットキー設定をプラグイン設定に移動。

2005-12-15 10:00:12  Rev 395    tamra

	* plugins/primeprediction.cpp plugins/skkdicconversion.cpp 
	  src/honoka_imengine_setup.cpp plugins/wnnplugin.cpp 
	  plugins/anthyplugin.cpp plugins/nicolainput.cpp 
	  plugins/cannaconversion.cpp plugins/romkan.cpp plugins/kanainput.
	  cpp plugins/simpleprediction.cpp:
	  「このプラグインを使う」設定項目を自動生成に。

2005-12-15 08:24:56  Rev 394    tamra

	* plugins/skkdicconversion.cpp plugins/simpleprediction.h 
	  plugins/wnnplugin.cpp libhonoka/honokapluginbase.h 
	  plugins/skkdicconversion.h plugins/nicolainput.cpp 
	  plugins/cannaconversion.cpp plugins/wnnplugin.h plugins/romkan.cpp 
	  plugins/nicolainput.h plugins/kanainput.cpp 
	  plugins/cannaconversion.h plugins/romkan.h plugins/primeprediction.
	  cpp plugins/kanainput.h plugins/primeprediction.h 
	  plugins/anthyplugin.cpp plugins/anthyplugin.h 
	  plugins/simpleprediction.cpp:
	  HonokaPluginSetupマクロを書き手の都合で修正。

2005-12-14 06:14:36  Rev 393    tamra

	* src/honokasetupgtk.cpp libhonoka/Makefile.am 
	  plugins/skkdicconversion.cpp plugins/honoka_plugin_def.h 
	  src/honoka_imengine_setup.cpp plugins/wnnplugin.cpp 
	  src/honokasetupgtk.h libhonoka/honokapluginbase.h po/ja.po 
	  plugins/nicolainput.cpp plugins/wnnplugin.h 
	  plugins/cannaconversion.cpp plugins/romkan.cpp plugins/kanainput.
	  cpp po/honoka.pot plugins/primeprediction.cpp 
	  libhonoka/honokasetupcore.cpp src/Makefile.am plugins/anthyplugin.
	  cpp libhonoka/honokasetupcore.h plugins/simpleprediction.cpp:
	  設定項目をプラグイン側が持つように大修正。

2005-12-06 05:15:14  Rev 392    tamra

	* src/honoka_def.h:
	  嘘書いてたのをこっそり修正。

2005-11-26 07:28:35  Rev 389    tamra

	* libhonoka/Makefile.am src/honoka_imengine.cpp 
	  libhonoka/honokatimer.cpp src/honoka_imengine.h src/honoka_def.h 
	  libhonoka/honokatimer.h m4/Makefile:
	  タイマ及び予測遅延実装。超不安定。

2005-11-22 13:51:36  Rev 387    tamra

	* configure.ac:
	  とりあえず0.8.0にしておく。

2005-11-18 06:29:50  Rev 385    tamra

	* src/honoka_imengine.cpp:
	  予測をマウスで選択すると落ちるバグを修正。

2005-11-16 06:00:12  Rev 384    tamra

	* src/honoka_imengine.cpp:
	  予測候補作成時のisConnected()チェックを追加。

2005-11-16 05:52:32  Rev 383    tamra

	* src/honoka_imengine.cpp src/honoka_imengine.h src/honoka_def.h:
	  随時予測の無効化を追加。

2005-11-16 04:14:14  Rev 382    tamra

	* plugins/primeprediction.cpp plugins/primeprediction.h:
	  primeプラグインで共有メモリを使うよう修正、かつvforkをforkに。

2005-11-14 09:48:24  Rev 378    tamra

	* README.jp ChangeLog:
	  0.4.0。

2005-11-13 02:48:41  Rev 375    tamra

	* po/honoka.pot src/honoka_imengine_setup.cpp po/ja.po:
	  設定画面にショートカットキーを追加。

2005-11-13 02:21:54  Rev 374    tamra

	* plugins/honoka_plugin_def.h:
	  LeftとRightの打ち間違い修正。

2005-11-13 02:14:52  Rev 373    tamra

	* src/honoka_imengine.cpp ChangeLog:
	  Predictor切り替えキーの動作を修正。

2005-11-13 01:50:44  Rev 372    tamra

	* po/honoka.pot src/honoka_imengine.cpp po/ja.po:
	  helpの修正。

2005-11-13 01:31:14  Rev 371    tamra

	* plugins/primeprediction.cpp:
	  prime未インストール時のprime予測動作を修正。

2005-11-12 23:06:31  Rev 369    tamra

	* po/ja.po:
	  メッセージ修正。

2005-11-12 01:27:19  Rev 368    tamra

	* po/honoka.pot src/honoka_imengine_setup.cpp po/ja.po:
	  設定の追加及び修正。

2005-11-11 21:57:20  Rev 367    tamra

	* plugins/honoka_plugin_def.h plugins/nicolainput.cpp 
	  plugins/nicolainput.h:
	  親指シフト入力の両シフトキーを設定可能に。

2005-11-11 21:38:18  Rev 366    tamra

	* plugins/nicolainput.cpp plugins/nicolainput.h:
	  親指シフト入力での濁音/半濁音処理及びマップに含まれないキーの処理追加。

2005-11-11 21:04:55  Rev 365    tamra

	* plugins/kanainput.h plugins/kanainput.cpp:
	  かな入力をちょっとだけスピードアップ。

2005-11-09 03:03:20  Rev 364    tamra

	* plugins/skkdic.h plugins/skkdic.cpp:
	  SKKDicのnamespace切り。

2005-11-08 21:29:07  Rev 363    tamra

	* plugins/nicolainput.cpp:
	  親指シフトデフォルトテーブルにnamespaceを追加。

2005-11-08 20:48:06  Rev 362    tamra

	* plugins/nicolainput.cpp plugins/nicolainput.h:
	  実験的に親指シフトプラグインを導入。

2005-11-08 20:47:51  Rev 361    tamra

	* po/honoka.pot po/ja.po po/POTFILES.in plugins/Makefile.am:
	  実験的に親指シフトプラグインを導入。

2005-11-05 07:15:51  Rev 360    tamra

	* plugins/romkan.h plugins/skkdic.h plugins/wnnconversion.h 
	  plugins/anthyconversion.h plugins/kanainput.h 
	  plugins/simpleprediction.h plugins/primeprediction.h 
	  plugins/skkdicconversion.h plugins/wnnplugin.h plugins/anthyplugin.
	  h plugins/wnnprediction.h plugins/anthyprediction.h 
	  plugins/kanainput.cpp plugins/cannaconversion.h:
	  scim-wnnと共存可能に。

2005-11-05 06:56:20  Rev 359    tamra

	* plugins/kanainput.cpp:
	  かな入力で『づ』が打てなかったバグを修正。

2005-11-05 04:31:56  Rev 356    tamra

	* src/honoka_imengine.cpp plugins/romkan.cpp:
	  PreEditorのkeyEventHookのみReleaseイベントも送信するかたちに修正。

2005-11-03 05:13:13  Rev 355    tamra

	* po/honoka.pot src/honoka_imengine.cpp po/ja.po 
	  plugins/anthyprediction.cpp po/POTFILES.in:
	  メッセージ更新及び微調整。

2005-11-03 04:59:11  Rev 354    tamra

	* plugins/anthyconversion.h plugins/anthyplugin.cpp 
	  plugins/anthyprediction.cpp plugins/anthyplugin.h plugins/Makefile.
	  am plugins/anthyprediction.h:
	  Anthy予測対応。

2005-11-03 04:28:18  Rev 353    tamra

	* plugins/anthyplugin.cpp plugins/anthyplugin.h plugins/Makefile.am 
	  plugins/anthyconversion.cpp:
	  Anthyプラグインのmultiple化。

2005-10-11 16:53:34  Rev 350    tamra

	* src/Makefile.am libhonoka/honokamultiplepluginbase.h 
	  libhonoka/honokakeyeventlist.h libhonoka/honokapluginbase.h 
	  libhonoka/resultlist.h libhonoka/predictor.h libhonoka/preeditor.h 
	  libhonoka/convertor.h:
	  libhonoka_plugin回りにnamespaceを設定。

2005-10-04 19:56:46  Rev 349    tamra

	* src/honoka_imengine.cpp libhonoka/preeditor.cpp 
	  libhonoka/convertor.cpp libhonoka/preeditor.h libhonoka/convertor.h:
	  Convertor/PreEditorにselected/unSelectedを追加。

2005-10-04 19:44:37  Rev 348    tamra

	* configure.ac libhonoka/honokapluginbase.h m4/Makefile:
	  0.4.0にしておく。

2005-09-29 04:08:45  Rev 346    tamra

	* README.jp ChangeLog:
	  0.3.3

2005-09-29 04:03:21  Rev 345    tamra

	* src/acpredictor.cpp src/honoka_def.h:
	  ACPredictorの超逐次変換を選択可能に。

2005-09-27 03:07:54  Rev 344    tamra

	* src/honoka_imengine.cpp src/honoka_imengine.h:
	  プラグイン読み込み処理をメソッドに分離。

2005-09-24 22:50:53  Rev 343    tamra

	* plugins/wnnconversion.h:
	  JServerTypeをWnnConversionの中に。

2005-09-21 02:13:55  Rev 342    tamra

	* src/acpredictor.cpp src/acpredictor.h:
	  超逐次変換テスト。

2005-09-18 00:52:24  Rev 341    tamra

	* src/honoka_imengine.h:
	  コンパイルエラー対策。これで平気か？。

2005-09-17 05:32:54  Rev 340    tamra

	* src/honoka_imengine.cpp src/honoka_imengine.h:
	  ACPredictorのデストラクション。

2005-09-17 05:18:53  Rev 339    tamra

	* po/honoka.pot src/Makefile.am src/honoka_imengine.cpp po/ja.po 
	  src/acpredictor.cpp src/honoka_imengine.h po/POTFILES.in 
	  src/acpredictor.h:
	  逐次変換のPredictor化。

2005-09-16 08:00:08  Rev 338    tamra

	* plugins/romkan.cpp:
	  RomkanのBS時処理の微妙な不都合修正。

2005-09-09 10:43:24  Rev 337    tamra

	* README.jp ChangeLog m4/Makefile:
	  0.3.3。

2005-09-09 10:34:44  Rev 336    tamra

	* configure.ac:
	  忘れないうちにバージョンを上げておく。

2005-09-08 18:28:32  Rev 335    tamra

	* src/honoka_imengine.cpp:
	  delete_surrounding_text()を利用して再変換動作をそれっぽく。

2005-09-08 18:06:06  Rev 334    tamra

	* src/honoka_imengine.cpp:
	  各種切り替えキーの動作を微妙に修正。

2005-09-08 16:36:49  Rev 333    tamra

	* src/honoka_imengine.cpp:
	  掃除。

2005-09-05 06:49:36  Rev 332    tamra

	* src/honoka_imengine.cpp:
	  逐次変換でセグるバグ修正。

2005-08-30 00:44:56  Rev 330    tamra

	* configure.ac:
	  0.3.2バージョン上げ忘れ。

2005-08-30 00:30:55  Rev 326    tamra

	* README.jp ChangeLog:
	  0.3.2。

2005-08-29 23:52:39  Rev 325    tamra

	* po/honoka.pot src/honoka_imengine_setup.cpp po/ja.po:
	  設定まわり追加。

2005-08-27 06:36:56  Rev 324    tamra

	* src/honoka_imengine.cpp src/honoka_def.h:
	  Convertor/PreEditor/Predictor切り替えキー実装。

2005-08-20 22:54:57  Rev 323    tamra

	* data/like-msime.rkt:
	  like-msime.rktのtypo修正。mekeさんサンクス。

2005-08-18 23:49:18  Rev 322    tamra

	* src/honoka_imengine.cpp:
	  接続チェック追加。

2005-08-16 02:50:02  Rev 321    tamra

	* src/honoka_imengine.cpp src/honoka_imengine.h:
	  文節毎の変換エンジン一時的切り替え対応、不完全。

2005-08-15 05:12:15  Rev 320    tamra

	* src/honoka_imengine.cpp src/honoka_imengine.h src/multiconvertor.h 
	  src/honoka_def.h:
	  Convertor/PreEditor/Predictor切り替えキー設定及びSegmentまわりの微調整。

2005-08-15 05:11:31  Rev 319    tamra

	* src/multiconvertor.cpp:
	  aline()の追加。

2005-08-04 11:15:50  Rev 314    tamra

	* plugins/wnnconversion.h plugins/anthyconversion.h 
	  plugins/skkdicconversion.cpp src/multiconvertor.cpp 
	  libhonoka/honokapluginbase.h plugins/skkdicconversion.h 
	  libhonoka/convertor.cpp plugins/cannaconversion.cpp 
	  src/multiconvertor.h plugins/wnnconversion.cpp 
	  plugins/anthyconversion.cpp libhonoka/convertor.h 
	  plugins/cannaconversion.h:
	  ConvertorからgetText()、getAttributeList()、getCaretPos()を除去。

2005-08-04 11:03:51  Rev 313    tamra

	* plugins/wnnconversion.h plugins/anthyconversion.h 
	  plugins/skkdicconversion.cpp src/honoka_imengine.cpp 
	  src/multiconvertor.cpp plugins/skkdicconversion.h 
	  src/honoka_imengine.h libhonoka/convertor.cpp 
	  plugins/cannaconversion.cpp src/multiconvertor.h 
	  plugins/wnnconversion.cpp plugins/anthyconversion.cpp 
	  libhonoka/convertor.h plugins/cannaconversion.h:
	  ConvertorへのgetSegmentList()の追加。

2005-08-01 08:55:39  Rev 312    tamra

	* po/honoka.pot plugins/primeprediction.cpp 
	  plugins/honoka_plugin_def.h plugins/primeprediction.h po/ja.po 
	  po/POTFILES.in plugins/Makefile.am m4/Makefile:
	  prime予測プラグイン追加、不完全。

2005-07-28 17:20:33  Rev 310    tamra

	* README.jp ChangeLog:
	  0.3.1。

2005-07-27 03:04:07  Rev 309    tamra

	* src/honoka_imengine_setup.cpp:
	  typo修正。

2005-07-20 01:05:06  Rev 308    tamra

	* plugins/honoka_plugin_def.h src/honoka_imengine_setup.cpp 
	  plugins/cannaconversion.cpp m4/Makefile plugins/cannaconversion.h:
	  Cannaプラグインでサーバを指定可能に。

2005-07-19 23:55:56  Rev 307    tamra

	* configure.ac ChangeLog:
	  -ldlチェックは不要か。

2005-07-19 02:01:57  Rev 306    tamra

	* plugins/Makefile.am:
	  SKKDicプラグインがlibanthyをリンクしていたのを修正。

2005-07-17 08:41:43  Rev 305    tamra

	* plugins/romkan.h plugins/romkan.cpp:
	  RomkanのMultiple化。

2005-07-15 06:22:12  Rev 304    tamra

	* plugins/romkan.cpp:
	  Romkanで押せないキーがあるバグを修正。

2005-07-15 06:10:05  Rev 303    tamra

	* data/azik.rkt plugins/romkan.cpp m4/Makefile:
	  AZIK対応バグ修正。

2005-07-15 06:03:03  Rev 302    tamra

	* data/Makefile.am data/azik.rkt:
	  AZIKテーブルの追加。

2005-07-15 05:09:39  Rev 301    tamra

	* plugins/romkan.h plugins/romkan.cpp:
	  RomkanTableにnProcとxtProcを追加。

2005-07-14 23:23:03  Rev 300    tamra

	* src/honokasetupgtk.h:
	  不要な定義があったのを除去。

2005-07-14 21:40:52  Rev 299    tamra

	* po/honoka.pot src/honoka_imengine_setup.cpp po/ja.po po/POTFILES.in:
	  設定まわりとりあえず全部。

2005-07-14 20:30:07  Rev 298    tamra

	* src/honokasetupgtk.cpp src/honoka_imengine_setup.cpp 
	  src/honokasetupgtk.h:
	  HonokaSetupGtkContainerの実装。

2005-07-14 13:05:47  Rev 297    tamra

	* src/honokasetupgtk.cpp src/Makefile.am src/honoka_imengine_setup.
	  cpp src/honokasetupgtk.h:
	  新しい設定画面実装。

2005-07-13 06:35:42  Rev 296    tamra

	* plugins/skkdicconversion.cpp plugins/honoka_plugin_def.h 
	  plugins/skkdicconversion.h:
	  SKKDicの設定を分離。

2005-07-08 04:22:39  Rev 295    tamra

	* src/multiconvertor.cpp:
	  MultiConvertorの頻度更新に対応したつもり。

2005-07-08 01:18:06  Rev 294    tamra

	* po/honoka.pot src/multiconvertor.cpp po/ja.po po/POTFILES.in:
	  MultiConversionのaux追加。

2005-07-08 00:58:51  Rev 292    tamra

	* libhonoka/resultlist.cpp src/multiconvertor.cpp 
	  libhonoka/resultlist.h:
	  MultiConvertorの候補重複をまとめる。

2005-07-05 01:41:31  Rev 291    tamra

	* src/multiconvertor.cpp:
	  MultiConvertorにおいてgetNameとgetPropertyNameが混同していたのを修正。

2005-07-05 01:25:20  Rev 290    tamra

	* src/honoka_imengine.cpp:
	  予測選択時のaux表示とnumselect時に落ちるバグを修正。

2005-07-05 01:11:59  Rev 289    tamra

	* src/honoka_imengine.cpp src/honoka_imengine.h:
	  候補総数/現在選択候補位置を表示。

2005-07-04 01:30:46  Rev 288    tamra

	* configure.ac m4/Makefile:
	  バージョンを0.3.1に変更しておく。

2005-07-04 01:14:52  Rev 287    tamra

	* plugins/honoka_plugin_def.h plugins/cannaconversion.cpp:
	  CannaのDicHomeDirPathを指定可能に。

2005-06-30 22:34:28  Rev 286    tamra

	* src/honoka_imengine.cpp:
	  Prediction判断を厳密に。

2005-06-30 22:34:07  Rev 285    tamra

	* plugins/cannaconversion.cpp:
	  Cannaの頻度更新。

2005-06-30 22:33:40  Rev 284    tamra

	* plugins/simpleprediction.cpp:
	  SimplePredictionで同音異字を登録すると固まるバグを修正。

2005-06-30 20:03:02  Rev 283    tamra

	* po/honoka.pot m4/Makefile.in configure.ac po/ja.po 
	  plugins/cannaconversion.cpp po/POTFILES.in plugins/Makefile.am 
	  plugins/anthyconversion.cpp m4/Makefile plugins/cannaconversion.h:
	  Cannaプラグイン(不完全)。

2005-06-29 00:46:50  Rev 281    tamra

	* src/Makefile.am:
	  ファイル入れ忘れ修正。

2005-06-29 00:40:12  Rev 278    tamra

	* README.jp README.euc:
	  ファイル名修正。

2005-06-29 00:33:57  Rev 276    tamra

	* po/honoka.pot po/ja.po ChangeLog:
	  メッセージ更新。

2005-06-29 00:25:26  Rev 275    tamra

	* README.euc Makefile.am README:
	  README更新。

2005-06-29 00:08:38  Rev 274    tamra

	* libhonoka/predictor.cpp src/honoka_imengine.cpp:
	  Predictorが無い場合はツールバーのPredictor表示を無しに。

2005-06-28 23:57:20  Rev 273    tamra

	* src/honoka_imengine.cpp plugins/wnnconversion.cpp:
	  Wnn文字制限。

2005-06-28 05:23:57  Rev 272    tamra

	* src/honoka_imengine.cpp src/multiconvertor.cpp src/multiconvertor.h:
	  接続不能なサーバがあってもMultiConversion可能に。

2005-06-28 05:07:36  Rev 271    tamra

	* plugins/wnnconversion.cpp:
	  WnnConversionの戻値バグを修正。

2005-06-28 04:37:06  Rev 270    tamra

	* src/multiconvertor.cpp:
	  MultiConvertorのラベル表示を修正。

2005-06-28 04:26:21  Rev 269    tamra

	* po/honoka.pot po/ja.po po/POTFILES.in:
	  メッセージ更新。

2005-06-28 04:17:27  Rev 268    tamra

	* plugins/simpleprediction.h plugins/honoka_plugin_def.h 
	  plugins/simpleprediction.cpp:
	  SimplePredictionの重複防止と個数指定。

2005-06-28 04:02:19  Rev 267    tamra

	* plugins/simpleprediction.cpp:
	  getName()とgetPropertyName()の混同を修正。

2005-06-28 04:01:04  Rev 266    tamra

	* plugins/romkan.h plugins/skkdicconversion.cpp plugins/kanainput.h 
	  src/honoka_imengine.cpp plugins/wnnprediction.cpp plugins/romkan.
	  cpp plugins/wnnconversion.cpp plugins/anthyconversion.cpp 
	  plugins/kanainput.cpp:
	  getName()とgetPropertyName()の混同を修正。

2005-06-27 07:46:07  Rev 265    tamra

	* src/honoka_imengine.cpp:
	  とりあえず接続するよう修正。

2005-06-27 05:14:03  Rev 264    tamra

	* src/honoka_imengine.cpp src/honoka_def.h:
	  予測時のfocus_out動作をcommitに。

2005-06-27 05:06:52  Rev 263    tamra

	* src/honoka_imengine.cpp src/honoka_imengine.h src/honoka_def.h:
	  初期プラグインを複数指定できるように修正。

2005-06-27 04:14:33  Rev 262    tamra

	* src/honoka_imengine.cpp src/honoka_imengine_setup.cpp 
	  src/honoka_imengine.h src/honoka_def.h:
	  全体的なYOSOKUをPREDICTIONに統一。

2005-06-25 03:09:48  Rev 261    tamra

	* plugins/wnnconversion.h plugins/anthyconversion.h 
	  plugins/skkdicconversion.cpp libhonoka/resultlist.cpp 
	  src/honoka_imengine.cpp src/multiconvertor.cpp 
	  plugins/skkdicconversion.h libhonoka/resultlist.h 
	  libhonoka/convertor.cpp src/multiconvertor.h plugins/wnnconversion.
	  cpp plugins/anthyconversion.cpp plugins/simpleprediction.cpp 
	  libhonoka/convertor.h:
	  Wnn固有部分をできるだけ除去。

2005-06-24 11:28:45  Rev 260    tamra

	* plugins/simpleprediction.cpp:
	  単純予測の個数を限定。

2005-06-24 11:26:10  Rev 259    tamra

	* po/honoka.pot plugins/simpleprediction.h libhonoka/predictor.cpp 
	  po/ja.po po/POTFILES.in plugins/Makefile.am 
	  plugins/simpleprediction.cpp:
	  単純予測プラグイン追加。

2005-06-24 06:34:05  Rev 258    tamra

	* src/wnnstruct.h src/romkan_table.h:
	  既に使われていないファイルの掃除。

2005-06-24 06:27:28  Rev 257    tamra

	* po/honoka.pot po/ja.po po/POTFILES.in:
	  メッセージ更新。

2005-06-24 06:26:06  Rev 256    tamra

	* plugins/skkdicconversion.cpp plugins/wnnplugin.cpp 
	  plugins/wnnprediction.cpp src/wnnconversion.h src/skkdic.h 
	  src/honoka_plugin_def.h plugins/anthyconversion.cpp 
	  src/skkdicconversion.h plugins/kanainput.cpp src/wnnplugin.h 
	  plugins/romkan.h src/romkan.cpp src/wnnprediction.h src/Makefile.
	  am src/wnnproto.h src/anthyconversion.h src/kanainput.h 
	  plugins/skkdic.h plugins/wnnconversion.h src/wnnconversion.cpp 
	  src/skkdic.cpp src/honoka_imengine_setup.cpp 
	  plugins/honoka_plugin_def.h plugins/skkdicconversion.h 
	  src/skkdicconversion.cpp plugins/wnnplugin.h plugins/romkan.cpp 
	  src/wnnplugin.cpp plugins/wnnprediction.h plugins/Makefile.am 
	  src/wnnprediction.cpp plugins/wnnproto.h plugins/anthyconversion.h 
	  src/anthyconversion.cpp plugins/kanainput.h src/kanainput.cpp 
	  configure.ac src/romkan.h Makefile.am plugins/skkdic.cpp 
	  plugins/wnnconversion.cpp:
	  プラグイン分離。

2005-06-24 06:13:30  Rev 255    tamra

	* libhonoka/Makefile.am:
	  コミットし忘れ。

2005-06-24 06:12:12  Rev 254    tamra

	* src/wnnplugin.h src/romkan.cpp src/Makefile.am src/wnnconversion.
	  cpp src/honoka_imengine.cpp src/honoka_imengine_setup.cpp 
	  src/kanainput.cpp src/skkdicconversion.cpp src/honoka_imengine.h 
	  src/honoka_plugin_def.h src/wnnplugin.cpp src/honoka_def.h:
	  デフォ設定の整理。

2005-06-24 02:19:57  Rev 253    tamra

	* libhonoka/honokapluginbase.cpp src/honokamultiplepluginbase.h 
	  libhonoka/predictor.cpp po/ja.po src/resultlist.h 
	  libhonoka/preeditor.h src/convertor.h src/Makefile.am 
	  libhonoka/honokamultiplepluginbase.h src/predictor.cpp 
	  src/honokakeyeventlist.h libhonoka/resultlist.h 
	  src/honokapluginbase.h po/POTFILES.in libhonoka/convertor.cpp 
	  src/preeditor.h src/honokamultiplepluginbase.cpp plugins 
	  src/resultlist.cpp libhonoka/honokakeyeventlist.h 
	  libhonoka/preeditor.cpp libhonoka/honokapluginbase.h 
	  libhonoka/predictor.h src/convertor.cpp 
	  libhonoka/honokamultiplepluginbase.cpp m4/Makefile 
	  src/honokakeyeventlist.cpp po/honoka.pot src/honokapluginbase.cpp 
	  libhonoka/resultlist.cpp configure.ac src/preeditor.cpp libhonoka 
	  src/predictor.h Makefile.am libhonoka/convertor.h 
	  libhonoka/honokakeyeventlist.cpp:
	  ライブラリを分離。

2005-06-23 07:57:40  Rev 252    tamra

	* src/convertor.h src/Makefile.am src/wnnconversion.cpp 
	  src/anthyconversion.cpp src/honoka_imengine.cpp src/resultlist.cpp 
	  src/multiconvertor.cpp src/skkdicconversion.cpp src/resultlist.h 
	  src/predictor.h src/convertor.cpp:
	  ResultListを分離。

2005-06-23 07:37:29  Rev 251    tamra

	* src/wnnconversion.cpp src/wnnprediction.h src/honoka_imengine.cpp 
	  src/predictor.cpp src/wnnconversion.h src/predictor.h 
	  src/wnnprediction.cpp:
	  予測更新の修正及びWnn7予測の他変換エンジン対応。

2005-06-22 00:53:30  Rev 250    tamra

	* src/wnnconversion.cpp src/wnnprediction.h src/honoka_imengine.cpp 
	  src/predictor.cpp src/wnnconversion.h src/predictor.h 
	  src/wnnprediction.cpp:
	  予測更新処理の追加。

2005-06-21 09:25:16  Rev 249    tamra

	* src/skkdic.cpp src/skkdic.h:
	  SKKDicの読み込み高速化を企んでにわかに失敗。

2005-06-21 02:40:17  Rev 248    tamra

	* src/convertor.h src/skkdic.cpp src/anthyconversion.cpp 
	  src/wnnconversion.h src/anthyconversion.h src/skkdicconversion.cpp 
	  src/convertor.cpp src/skkdicconversion.h:
	  getYosokuListの削除。

2005-06-20 07:23:31  Rev 247    tamra

	* src/wnnprediction.cpp:
	  WnnPredictionのconnect()を動作するように。

2005-06-20 06:59:15  Rev 246    tamra

	* po/ja.po ChangeLog src/wnnplugin.cpp src/convertor.cpp 
	  src/wnnprediction.cpp m4/Makefile src/wnnplugin.h po/honoka.pot 
	  src/wnnprediction.h src/Makefile.am src/honoka_imengine.cpp 
	  src/predictor.cpp src/honoka_imengine.h src/predictor.h 
	  po/POTFILES.in src/honoka_def.h:
	  予測の分離とWnn予測の実装。

2005-06-18 02:02:06  Rev 245    tamra

	* src/wnnplugin.h src/Makefile.am src/wnnconversion.cpp 
	  src/wnnplugin.cpp:
	  WnnサポートをMultiplePlugin化。

2005-06-17 16:25:19  Rev 244    tamra

	* src/honokamultiplepluginbase.h src/honokamultiplepluginbase.cpp:
	  MultiplePluginのgetName()オーバロードし忘れ修正。

2005-06-17 16:21:33  Rev 243    tamra

	* src/Makefile.am src/honoka_imengine.cpp 
	  src/honokamultiplepluginbase.h src/honoka_imengine.h 
	  src/honokamultiplepluginbase.cpp:
	  複数プラグインを束ねるプラグイン実装。

2005-06-10 23:26:53  Rev 242    tamra

	* src/wnnconversion.cpp:
	  WnnConversionの注目文節循環を取り止め(保留)。

2005-06-10 22:46:52  Rev 241    tamra

	* src/honoka_imengine.cpp:
	  候補一覧の位置ずれ修正。

2005-06-10 11:31:59  Rev 240    tamra

	* src/honoka_def.h:
	  typo修正。

2005-06-08 05:21:40  Rev 239    tamra

	* src/honoka_imengine.cpp:
	  デバグ用コード除去忘れを修正orz。

2005-06-08 03:19:03  Rev 238    tamra

	* src/skkdic.cpp src/skkdic.h src/skkdicconversion.cpp:
	  SKKDicのAnnotationまわりの微調整。

2005-06-06 02:03:44  Rev 237    tamra

	* src/skkdicconversion.cpp:
	  SKKDicの初期化が甘かったのを修正。

2005-06-06 01:19:33  Rev 236    tamra

	* src/skkdic.cpp:
	  Annotation表示が崩れるバグを修正。

2005-06-06 00:59:18  Rev 235    tamra

	* src/skkdic.cpp src/skkdicconversion.cpp:
	  Annotation摘出。

2005-06-06 00:49:10  Rev 234    tamra

	* src/Makefile.am src/skkdic.cpp src/multiconvertor.cpp src/skkdic.h 
	  src/skkdicconversion.cpp src/skkdicconversion.h:
	  SKK辞書検索プラグイン。

2005-06-03 09:13:51  Rev 233    tamra

	* src/honoka_imengine.cpp src/honoka_imengine.h:
	  プラグイン情報の改善。

2005-06-03 08:27:17  Rev 232    tamra

	* src/convertor.h src/wnnconversion.cpp src/anthyconversion.cpp 
	  src/honoka_imengine.cpp src/multiconvertor.cpp src/convertor.cpp:
	  ResultEntryをResultListに含む。

2005-05-30 04:25:27  Rev 231    tamra

	* src/multiconvertor.cpp:
	  マルチ変換時に文節切り直しで落ちることがあるバグの修正。

2005-05-30 03:59:20  Rev 230    tamra

	* src/convertor.h src/wnnconversion.cpp src/anthyconversion.cpp 
	  src/multiconvertor.cpp src/convertor.cpp:
	  マルチ変換で文節切り直し対応。

2005-05-28 07:28:14  Rev 229    tamra

	* src/honoka_imengine.cpp:
	  マルチ変換時のConvertor切り替えを完全不能に。

2005-05-27 16:25:07  Rev 228    tamra

	* src/convertor.h src/Makefile.am src/anthyconversion.cpp 
	  src/honoka_imengine.cpp src/multiconvertor.cpp src/honoka_imengine.
	  h src/multiconvertor.h src/honoka_def.h:
	  強引に全Convertorを使って変換するしくみを仮実装。

2005-05-26 21:23:50  Rev 227    tamra

	* src/anthyconversion.cpp:
	  文節拡縮が漢字単位だったのを読み単位に修正。

2005-05-24 01:49:07  Rev 226    tamra

	* src/anthyconversion.cpp:
	  Anthyにおける文節の読みを保存。

2005-05-20 12:50:05  Rev 225    tamra

	* configure.ac ChangeLog m4/Makefile:
	  不完全なプラグインが勝手に作られるバグを修正。

2005-05-19 19:23:47  Rev 224    tamra

	* src/honoka_imengine.cpp:
	  scim-1.3系対応。

2005-05-12 20:00:20  Rev 223    tamra

	* src/Makefile.am:
	  honokakeyeventlist.hをインストール対象に。

2005-05-12 19:58:49  Rev 222    tamra

	* src/honokakeyeventlist.cpp src/Makefile.am src/honoka_imengine.cpp 
	  src/honokakeyeventlist.h src/romkan.h src/preeditor.cpp 
	  src/honoka_imengine.h src/preeditor.h:
	  HonokaKeyEventListとPreEditorKeyEventListを統合。

2005-05-12 19:39:35  Rev 221    tamra

	* src/honoka_imengine.cpp:
	  予測の選択キー修正。

2005-05-11 03:09:51  Rev 220    tamra

	* src/honoka_imengine.cpp src/honoka_imengine.h src/honoka_def.h:
	  候補選択キーを任意に指定可能に。

2005-05-10 00:10:52  Rev 219    tamra

	* src/honoka_imengine.cpp src/honoka_imengine.h src/honoka_def.h:
	  デフォルトのConvertorを指定可能に。

2005-05-08 05:57:25  Rev 218    tamra

	* src/preeditor.cpp src/convertor.cpp:
	  コメントを追加。

2005-05-08 03:03:52  Rev 217    tamra

	* src/honoka_imengine.cpp src/convertor.cpp:
	  コメントを追加。

2005-05-08 02:34:38  Rev 216    tamra

	* src/honokapluginbase.cpp src/honoka_imengine.cpp 
	  src/honokapluginbase.h src/honoka_imengine.h:
	  プラグイン情報を保持。

2005-04-29 09:40:20  Rev 215    tamra

	* src/honoka_imengine.cpp src/honoka_imengine.h src/honoka_def.h:
	  PreEditorに変換結果を入れて再編集可能に。

2005-04-26 05:13:19  Rev 214    tamra

	* src/honoka_imengine.cpp src/honoka_def.h:
	  プラグインの有効/無効を切り替え可能に。

2005-04-25 04:47:50  Rev 213    tamra

	* src/honoka_imengine.cpp src/honokapluginbase.h src/honoka_imengine.
	  h:
	  プラグインまわりを強化。

2005-04-25 03:59:31  Rev 212    tamra

	* src/romkan.cpp src/romkan.h:
	  ローマ字入力中に確定された文字を一時的に保持するしくみを用意。

2005-04-25 03:45:25  Rev 211    tamra

	* src/romkan.cpp:
	  ローマ字入力におけるBS時復帰文字を複数に変更。

2005-04-25 00:31:42  Rev 210    tamra

	* src/romkan.cpp:
	  BSで存在しない文字を追加してしまう可能性があったバグを修正。

2005-04-24 04:07:06  Rev 209    tamra

	* src/romkan.cpp:
	  BS時に頭１文字をbufに復帰させるよう修正。不安定かも。

2005-04-23 07:36:04  Rev 208    tamra

	* src/romkan.cpp:
	  バックスペース時にバッファがクリアされてしまうバグを修正。

2005-04-22 11:13:36  Rev 207    tamra

	* src/honoka_imengine.cpp:
	  uuid変更。

2005-04-22 11:06:13  Rev 206    tamra

	* src/romkan.cpp src/wnnconversion.cpp src/anthyconversion.cpp 
	  src/honokapluginbase.cpp src/honoka_imengine.cpp src/kanainput.cpp 
	  src/romkan.h src/preeditor.cpp src/honokapluginbase.h 
	  src/kanainput.h src/convertor.cpp src/preeditor.h:
	  returnから括弧を除去。

2005-04-21 05:25:55  Rev 205    tamra

	* src/honoka_imengine.cpp src/honoka_imengine.h:
	  Convertorの変換時切り替えを実験実装。

2005-04-21 04:51:56  Rev 204    tamra

	* src/romkan.cpp src/Makefile.am src/honokapluginbase.cpp 
	  src/honoka_imengine.cpp src/kanainput.cpp src/honokapluginbase.h 
	  src/honoka_imengine.h:
	  PreEditorのプラグイン化。

2005-04-21 04:05:14  Rev 203    tamra

	* src/honoka_imengine.cpp src/honoka_imengine.h src/honoka_def.h:
	  再変換に関するコードを追加(不完全)。

2005-04-19 03:08:27  Rev 202    tamra

	* src/honoka_imengine.cpp:
	  読み込み失敗時はプラグインを解放する。

2005-04-19 02:09:17  Rev 201    tamra

	* src/Makefile.am src/wnnconversion.cpp src/anthyconversion.cpp 
	  m4/Makefile.in src/honoka_imengine.cpp configure.ac 
	  src/honokapluginbase.h src/honoka_imengine.h m4/Makefile:
	  プラグイン化決行。要注意。

2005-04-15 18:52:51  Rev 200    tamra

	* src/anthyconversion.cpp:
	  Anthyにおける候補数が常に第一文節の数になってしまう痛すぎるバグ修正。

2005-04-15 08:27:35  Rev 199    tamra

	* src/anthyconversion.cpp:
	  Anthyのreset動作修正。

2005-04-13 02:18:07  Rev 198    tamra

	* po/honoka.pot src/convertor.h src/wnnconversion.cpp 
	  src/anthyconversion.cpp src/honoka_imengine.cpp po/ja.po 
	  src/anthyconversion.h po/POTFILES.in:
	  候補一覧のaux_stringをResultListが持つ。

2005-04-13 00:07:41  Rev 197    tamra

	* src/Makefile.am src/wnnconversion.cpp src/anthyconversion.cpp 
	  m4/Makefile.in src/honoka_imengine.cpp configure.ac 
	  src/wnnconversion.h src/anthyconversion.h src/honoka_imengine.h 
	  m4/Makefile:
	  --enable-wnn/--enable-anthy。

2005-04-12 22:18:23  Rev 196    tamra

	* src/convertor.h src/Makefile.am src/honokapluginbase.cpp 
	  src/preeditor.cpp src/honokapluginbase.h src/convertor.cpp 
	  src/preeditor.h:
	  一気にプラグイン化しようとして挫折。ちょっとづつ進める。

2005-04-08 22:10:41  Rev 195    tamra

	* src/honoka_imengine.cpp:
	  変換中の切り替えを完全に無効化するよう仕掛け。

2005-04-08 19:44:03  Rev 194    tamra

	* src/convertor.h src/wnnconversion.cpp src/anthyconversion.cpp 
	  src/honoka_imengine.cpp src/wnnconversion.h src/anthyconversion.h 
	  src/honoka_imengine.h src/convertor.cpp src/honoka_def.h:
	  変換エンジンの動的変更に対応。

2005-04-08 18:28:17  Rev 193    tamra

	* src/honoka_imengine.cpp src/honoka_imengine.h:
	  微調整。

2005-04-08 18:14:25  Rev 192    tamra

	* data/honoka.png:
	  アイコン変更。

2005-04-08 08:14:58  Rev 191    tamra

	* src/wnnconversion.cpp src/scim_wnn_imengine_setup.cpp 
	  src/honoka_imengine_setup.cpp data/Makefile.am data/honoka-def.rkt 
	  po/ja.po data/scim-wnn.png m4/Makefile po/honoka.pot 
	  data/scim-wnn-def.rkt src/romkan.cpp src/Makefile.am 
	  src/scim_wnn_imengine.cpp src/honoka_imengine.cpp m4/Makefile.in 
	  src/kanainput.cpp configure.ac src/scim_wnn_imengine.h 
	  src/honoka_imengine.h po/POTFILES.in src/scim_wnn_def.h 
	  src/honoka_def.h data/honoka.png:
	  名称変更処理。

2005-04-08 07:17:47  Rev 190    tamra

	* :
	  

2005-04-06 06:32:44  Rev 189    tamra

	* :
	  ローマ字入力時に未確定文字を色付けするよう変更。

2005-04-06 06:18:29  Rev 188    tamra

	* :
	  PreEditorにもgetAttributeListメソッドを追加。

2005-04-06 06:10:06  Rev 187    tamra

	* :
	  ConvertorへのgetNameメソッドの追加。

2005-04-04 06:32:55  Rev 186    tamra

	* :
	  初期化時にConvertorのインスタンスチェック。

2005-04-04 05:08:37  Rev 185    tamra

	* :
	  Anthyのcommitを実装。

2005-04-04 00:29:33  Rev 184    tamra

	* :
	  Anthyでの文節拡縮を実装。

2005-04-03 05:20:52  Rev 183    tamra

	* :
	  すいません。Anthyサポート入れました。

2005-04-03 02:00:03  Rev 182    tamra

	* :
	  ConversionListからResultListに統一。

2005-04-03 01:51:00  Rev 181    tamra

	* :
	  変換部分の分離。不安定になりました。

2005-04-01 05:53:08  Rev 180    tamra

	* :
	  対象を完全にscim-1.2以上に。

2005-03-29 03:03:39  Rev 176    tamra

	* :
	  かな入力モードでShift等で確定されてしまうバグを修正。

2005-03-29 03:00:29  Rev 175    tamra

	* :
	  Wnn8で連想変換/異形字変換が無効になっていたバグを修正。

2005-03-28 03:44:46  Rev 173    tamra

	* :
	  設定画面への機能追加。

2005-03-25 00:01:56  Rev 171    tamra

	* :
	  なんちゃってかな入力モードの無効化設定を追加。

2005-03-23 03:36:54  Rev 170    tamra

	* :
	  補正処理でカタカナの「ン」の処理を追加。

2005-03-23 02:47:19  Rev 169    tamra

	* :
	  メッセージ更新。

2005-03-23 02:41:28  Rev 168    tamra

	* :
	  ひらがな/カタカナ入力モード切り替えを実装。

2005-03-19 00:57:40  Rev 167    tamra

	* :
	  キーイベント回りの調整。

2005-03-16 04:35:02  Rev 166    tamra

	* :
	  テーブルのincludeが働いていなかったバグを修正。

2005-03-15 19:54:10  Rev 165    tamra

	* :
	  メッセージ更新。

2005-03-15 19:51:24  Rev 164    tamra

	* :
	  半角入力モードの実装。

2005-03-14 01:42:09  Rev 163    tamra

	* :
	  フックまわりの設定追加。

2005-03-12 03:52:33  Rev 162    tamra

	* :
	  RemoveRemainder、AsciiModeCancelの追加及びバグフィックス。

2005-03-08 10:21:29  Rev 161    tamra

	* :
	  テーブルのパーサのバグ修正。

2005-03-08 10:10:29  Rev 160    tamra

	* :
	  とりあえず長音符だけ追加。

2005-03-08 09:44:19  Rev 159    tamra

	* :
	  ローマ字テーブルの読み込み回り処理及び不要コードの除去。

2005-03-08 09:26:52  Rev 158    tamra

	* :
	  設定をテーブル側に統一。

2005-03-08 08:52:49  Rev 157    tamra

	* :
	  DATADIRを追加。

2005-03-06 05:58:16  Rev 156    tamra

	* :
	  テーブルからの設定修正を可能に。

2005-03-06 04:46:21  Rev 155    tamra

	* :
	  MSIMEっぽテーブル追加。

2005-03-05 01:54:32  Rev 154    tamra

	* :
	  ローマ字変換テーブルの差し換え対応。

2005-03-01 17:09:19  Rev 152    tamra

	* :
	  0.2.3。

2005-03-01 17:01:51  Rev 151    tamra

	* :
	  Wnn8対応。

2005-02-20 02:29:03  Rev 150    tamra

	* :
	  ASCIIモードおよびWASCIIモード移行キーを選択可能に。

2005-02-16 15:09:30  Rev 149    tamra

	* :
	  半角変換時のキャレット位置ずれを正しく修正するコード追加。

2005-02-08 18:40:08  Rev 148    tamra

	* :
	  半角変換時のキャレット位置のずれを不完全だが修正。

2005-02-05 01:43:14  Rev 147    tamra

	* :
	  strtowsの半角対応を修正。

2005-02-05 01:26:22  Rev 146    tamra

	* :
	  半角変換コードの実装および保留コードバグ修正。

2005-02-04 11:06:40  Rev 145    tamra

	* :
	  vectorをmap+setに。保留を自動生成。

2005-01-28 19:29:20  Rev 143    tamra

	* :
	  リリース準備。

2005-01-28 18:59:17  Rev 142    tamra

	* :
	  メッセージ更新。

2005-01-28 18:50:54  Rev 141    tamra

	* :
	  逐次変換のデフォルトOn/Offの設定画面追加。

2005-01-28 17:55:45  Rev 140    tamra

	* :
	  「nn」を「ん」にするnnModeなるものを実装。

2005-01-28 17:02:49  Rev 139    tamra

	* :
	  ローマ字テーブルの報告された欠落を補完。

2005-01-28 16:51:02  Rev 138    tamra

	* :
	  intltool回りをアップデート。

2005-01-18 00:17:05  Rev 137    tamra

	* :
	  すっかり忘れていた先頭/文末カーソル移動を実装。

2005-01-16 05:38:12  Rev 136    tamra

	* :
	  逐次変換結果が反映されずcommitされる部分があったのを修正。

2005-01-16 04:30:50  Rev 135    tamra

	* :
	  逐次変換をサポート。

2005-01-15 05:37:31  Rev 133    tamra

	* :
	  0.2.1。

2005-01-14 23:08:00  Rev 132    tamra

	* :
	  スピードアップ。

2005-01-12 05:33:17  Rev 131    tamra

	* :
	  やたらiconvを使わないように修正。

2005-01-11 05:35:08  Rev 130    tamra

	* :
	  標準のPreEditorを選択可能に。

2005-01-08 06:03:01  Rev 129    tamra

	* :
	  サーバタイプ選択をEntryからListに。

2005-01-03 03:30:16  Rev 128    tamra

	* :
	  数字キーによる選択を無効化可能に。

2005-01-03 01:06:40  Rev 127    tamra

	* :
	  メッセージ更新。

2005-01-03 01:03:30  Rev 126    tamra

	* :
	  設定画面を強化。

2004-12-31 01:07:46  Rev 125    tamra

	* :
	  数字キーで予測候補の選択を可能に。

2004-12-30 06:12:52  Rev 124    tamra

	* :
	  ローマ字入力テーブル検索を確定するまで再帰するよう修正。

2004-12-30 02:05:17  Rev 123    tamra

	* :
	  予測候補が複数ページに渡る場合に落ちるバグを暫定的に修正。

2004-12-28 19:25:11  Rev 121    tamra

	* :
	  リリース準備。

2004-12-28 19:15:21  Rev 120    tamra

	* :
	  lookup出っぱなしになるのを修正。

2004-12-28 19:08:04  Rev 119    tamra

	* :
	  README更新。

2004-12-28 18:55:39  Rev 118    tamra

	* :
	  tooltipの追加とメッセージ追加。

2004-12-28 18:35:53  Rev 117    tamra

	* :
	  設定画面追加。

2004-12-28 17:49:54  Rev 116    tamra

	* :
	  サーバタイプによる機能分離。

2004-12-24 19:28:00  Rev 115    tamra

	* :
	  設定まわり修正。

2004-12-22 06:31:44  Rev 114    tamra

	* :
	  余計なキーをcommit扱いする部分を修正。

2004-12-22 04:00:23  Rev 113    tamra

	* :
	  喰っておくべきキーを設定。

2004-12-22 03:08:21  Rev 112    tamra

	* :
	  [あr]を[あ]に変更。

2004-12-22 03:06:45  Rev 111    tamra

	* :
	  メッセージ更新。

2004-12-22 03:04:32  Rev 110    tamra

	* :
	  予測時のキャレットの位置修正とcommitキーの有効化。

2004-12-22 02:58:15  Rev 109    tamra

	* :
	  予測をマウスで選択できるよう修正。

2004-12-22 02:45:54  Rev 108    tamra

	* :
	  予測の選択を追加。

2004-12-22 01:09:54  Rev 107    tamra

	* :
	  接続まわりの微調整と候補表示まわりの整理。

2004-12-22 00:21:39  Rev 106    tamra

	* :
	  予測入力コード導入。選択不可。

2004-12-18 02:31:46  Rev 105    tamra

	* :
	  PreEditorで処理すべきで無い文字の扱いを修正。

2004-12-18 00:37:22  Rev 104    tamra

	* :
	  メッセージのfuzzy除去。

2004-12-18 00:34:04  Rev 103    tamra

	* :
	  連想変換と異形字変換に一応対応しました。

2004-12-17 23:42:54  Rev 102    tamra

	* :
	  ローマ字かな変換テーブルの欠落を補完。

2004-12-17 20:28:45  Rev 96     tamra

	* :
	  Wnn7向けFix。

2004-12-17 00:46:24  Rev 95     tamra

	* :
	  テンキーによる数字入力対応。

2004-12-16 04:30:12  Rev 94     tamra

	* :
	  FreeWnn版libwnn対応コードをWnn6/7向けに完全置換。

2004-12-16 04:24:19  Rev 93     tamra

	* :
	  FreeWnnのlibwnn.soを蹴る設定に変更。

2004-12-16 03:10:11  Rev 92     tamra

	* :
	  メッセージ更新。

2004-12-16 03:06:54  Rev 91     tamra

	* :
	  latinと言う表記をやめて全てasciiと変更。

2004-12-14 18:59:07  Rev 86     tamra

	* :
	  リリース準備。

2004-12-14 18:59:02  Rev 85     tamra

	* :
	  リリース準備。

2004-12-14 18:13:15  Rev 84     tamra

	* :
	  FreeWnn対策でDisconnectを再び除去。

2004-12-14 17:41:43  Rev 83     tamra

	* :
	  微調整。

2004-12-14 17:34:17  Rev 82     tamra

	* :
	  微調整。

2004-12-14 17:30:37  Rev 81     tamra

	* :
	  微調整。

2004-12-14 17:20:13  Rev 80     tamra

	* :
	  Wnnとの接続まわりを微調整。

2004-12-14 16:43:12  Rev 79     tamra

	* :
	  ちょっとしたコード整理。

2004-12-14 16:31:52  Rev 78     tamra

	* :
	  微調整。

2004-12-14 16:15:00  Rev 77     tamra

	* :
	  フォーカス切り替え時にPropertyが更新されないバグを修正。

2004-12-14 15:36:59  Rev 76     tamra

	* :
	  ローマ字入力モードからかな入力処理を除去。

2004-12-14 05:41:49  Rev 75     tamra

	* :
	  更にローマ字かな変換テーブルの欠落を補完。

2004-12-14 03:52:30  Rev 74     tamra

	* :
	  ローマ字かな変換テーブルの欠落を補完。

2004-12-13 02:31:00  Rev 73     tamra

	* :
	  知らないうちに打っていたらしいスペースを除去。

2004-12-13 01:41:50  Rev 72     tamra

	* :
	  入力モード切り替え実装。

2004-12-13 00:58:11  Rev 71     tamra

	* :
	  かな入力PreEditorを別クラスとして実装。

2004-12-10 16:56:34  Rev 70     tamra

	* :
	  かな入力マップの欠落を補完。

2004-12-10 16:24:57  Rev 69     tamra

	* :
	  かな入力に一応対応。

2004-12-10 14:48:28  Rev 68     tamra

	* :
	  プロパティ名をdefine。

2004-12-10 14:43:19  Rev 67     tamra

	* :
	  プロパティに状態表示を追加。

2004-12-07 11:17:29  Rev 66     tamra

	* :
	  PreEditorにConfigPointerを渡す。

2004-12-06 01:42:19  Rev 65     tamra

	* :
	  insert(char)を廃止しinputEvent(const KeyEvent &)に移行。

2004-12-05 11:14:28  Rev 64     tamra

	* :
	  初期化コード調整。

2004-12-03 15:37:11  Rev 63     tamra

	* :
	  メッセージ更新。

2004-12-03 15:27:10  Rev 62     tamra

	* :
	  小窓を実装(実験的に常にON)。

2004-12-03 14:13:43  Rev 61     tamra

	* :
	  全角英字モードを追加。

2004-12-03 07:18:23  Rev 60     tamra

	* :
	  preeditの最後の文字が消えないバグを修正。

2004-12-03 06:21:45  Rev 59     tamra

	* :
	  英字直接入力モードの仮実装。

2004-12-02 06:08:01  Rev 58     tamra

	* :
	  入力モードを表示する仕組みを準備(準備だけ)。

2004-12-01 05:30:53  Rev 57     makeinu

	* :
	  ほのかたんに日本語を教えてみますた


2004-11-30 23:58:19  Rev 56     tamra

	* :
	  virtual打ち忘れ追加。

2004-11-30 23:53:29  Rev 55     tamra

	* :
	  preeditの動的切り替え対応準備。

2004-11-30 20:58:04  Rev 54     tamra

	* :
	  メッセージ回り修正。

2004-11-30 19:47:51  Rev 53     tamra

	* :
	  コード整理。

2004-11-30 19:43:20  Rev 52     tamra

	* :
	  コード整理。

2004-11-30 19:23:40  Rev 51     tamra

	* :
	  バッファ空時のスペースの処理及びコード整理。

2004-11-30 18:38:20  Rev 50     tamra

	* :
	  ローマ字かな変換テーブルの不足を補完(thx! zoe)。

2004-11-30 18:34:09  Rev 49     makeinu

	* :
	  コミットテスト


2004-11-30 07:47:48  Rev 48     tamra

	* :
	  ashieさんから設定部分コード頂きました。助かりました…。

2004-11-29 02:45:58  Rev 45     tamra

	* :
	  メッセージ更新。

2004-11-29 02:34:15  Rev 44     tamra

	* :
	  候補表示中に数字以外のキーでpreedit突入。

2004-11-29 02:23:38  Rev 43     tamra

	* :
	  環境名と初期値変更。

2004-11-29 01:42:10  Rev 42     tamra

	* :
	  超初級ミス修正。orz

2004-11-29 01:13:47  Rev 41     tamra

	* :
	  細いバグ修正。

2004-11-29 00:46:14  Rev 40     tamra

	* :
	  行頭にカーソルを移動すると落ちるバグを修正。

2004-11-28 00:02:47  Rev 39     tamra

	* :
	  ローマ字かな変換のキーイベントフック実装。

2004-11-27 06:21:32  Rev 38     tamra

	* :
	  ひらがな/カタカナ変換の完全実装。

2004-11-27 05:37:09  Rev 37     tamra

	* :
	  ひらがな/カタカナ変換実装。

2004-11-27 00:36:59  Rev 36     tamra

	* :
	  記号その他の変換テーブルを追加。

2004-11-26 23:16:37  Rev 35     tamra

	* :
	  一覧の表示位置修正。

2004-11-26 22:10:55  Rev 34     tamra

	* :
	  ALP==-1時動作を修正。

2004-11-26 21:41:30  Rev 33     tamra

	* :
	  setPosを循環するように修正。

2004-11-26 21:06:45  Rev 32     tamra

	* :
	  自動一覧ポップアップのカウタずれを修正。

2004-11-26 20:40:52  Rev 31     tamra

	* :
	  設定画面実装開始(動きません！)。

2004-11-26 09:14:13  Rev 30     tamra

	* :
	  CtrlやAltの組み合わせのキーを喰ってしまうことがあったのを修正。

2004-11-26 08:05:08  Rev 29     tamra

	* :
	  接続チェック。

2004-11-26 07:48:10  Rev 28     tamra

	* :
	  デフォルト設定分離。

2004-11-26 07:41:06  Rev 27     tamra

	* :
	  タイプミス修正。

2004-11-26 00:22:24  Rev 26     tamra

	* :
	  一覧の次項/前項処理追加。

2004-11-24 09:32:20  Rev 25     tamra

	* :
	  もしかしたらFreeWnnでもコンパイル通るかも。

2004-11-24 06:17:46  Rev 24     tamra

	* :
	  フォーカスが外れたら確定動作をするように修正。

2004-11-24 05:16:55  Rev 23     tamra

	* :
	  候補一覧追加。

2004-11-24 03:48:36  Rev 22     tamra

	* :
	  変換時のカーソル位置計算を追加。

2004-11-23 22:52:15  Rev 21     tamra

	* :
	  コード以外の修正。

2004-11-23 08:40:13  Rev 20     tamra

	* :
	  preedit時のキャンセル動作に対応。

2004-11-23 08:23:31  Rev 19     tamra

	* :
	  キー設定対応。

2004-11-23 05:11:17  Rev 18     tamra

	* :
	  _scim_configの利用とwnnConnectの分離。

2004-11-22 08:10:24  Rev 17     tamra

	* :
	  頻度保存(不完全)。

2004-11-22 07:06:56  Rev 16     tamra

	* :
	  半角カナ対応。

2004-11-22 06:43:22  Rev 15     tamra

	* :
	  なんとなくアイコンを追加してみた。

2004-11-22 01:07:38  Rev 14     tamra

	* :
	  変換領域の拡縮に対応。

2004-11-22 00:10:43  Rev 13     tamra

	* :
	  連続的な入力に対処。

2004-11-20 23:59:31  Rev 12     tamra

	* :
	  上下キーでの変換を実装。

2004-11-20 23:53:52  Rev 11     tamra

	* :
	  変換実装。

2004-11-19 20:26:09  Rev 10     tamra

	* :
	  変換の仮実装。

2004-11-19 08:04:52  Rev 9      tamra

	* :
	  微調整。

2004-11-18 03:26:55  Rev 8      tamra

	* :
	  preeditでのBS処理でメインにもBSイベントがいってしまうバグを修正。

2004-11-18 03:23:55  Rev 7      tamra

	* :
	  ローマ字入力対応、部分的にバグあり。

2004-11-12 18:45:34  Rev 6      tamra

	* :
	  修正し忘れ修正。

2004-11-12 18:44:15  Rev 5      tamra

	* :
	  修正し忘れ修正。

2004-11-12 18:37:57  Rev 4      tamra

	* :
	  色々追加。make通るけどinstallしたらダメよ。

2004-11-12 02:47:59  Rev 3      tamra

	* :
	  

2004-11-12 02:47:39  Rev 2      tamra

	* :
	  

